summaryrefslogtreecommitdiff
path: root/debian/oss4-dkms.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/oss4-dkms.postinst')
-rw-r--r--debian/oss4-dkms.postinst28
1 files changed, 28 insertions, 0 deletions
diff --git a/debian/oss4-dkms.postinst b/debian/oss4-dkms.postinst
new file mode 100644
index 0000000..64dc6d8
--- /dev/null
+++ b/debian/oss4-dkms.postinst
@@ -0,0 +1,28 @@
+#! /bin/sh
+# postinst script for liquidsoap
+set -e
+
+#DEBHELPER#
+
+case "$1" in
+ configure)
+ # Restart oss4-base
+ if which invoke-rc.d >/dev/null 2>&1; then
+ invoke-rc.d oss4-base force-reload
+ else
+ /etc/init.d/oss4-base force-reload
+ fi
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ exit 0
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+exit 0
+